package example_treeset_players;

public class Player implements Comparable<Player> {
	private String name;
	private int score;

	public Player(String name, int score) {
		this.name = name;
		this.score = score;
	}

	public String getName() {
		return name;
	}
	public int getScore() {
		return score;
	}
	
	@Override
	public String toString() {
		return "Name=" + name + ", Score=" + score;
	}

	@Override
	public int compareTo(Player p) {
		return this.name.compareTo(p.name);
	}
}
