package exercise_blobs;

import java.util.ArrayList;
import java.util.List;

public class BlobManager {
	private List<Blob> blobs = new ArrayList<>();
	public BlobManager() {}

	public int getNumBlobs() {
		return blobs.size();
	}
	public void addBlob(Blob b) {
		blobs.add(b);
	}
	public Blob getBlob(int i) {
		if((i >= 0) && (i < blobs.size())) {
			return blobs.get(i);
		}
		return null;
	}
	@Override
	public String toString() {
		String msg = "";
		for(int i=0; i<getNumBlobs(); i++) {
			String acnt = String.format("%d - %s\n", i+1, blobs.get(i));
			msg += acnt;
		}
		return msg;
	}
}
