package exercise_cull_dogs;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Iterator;
import java.util.List;

public class DogTest {
	public static void main(String[] args) {
		Dog d1 = new Dog(1);
		Dog d2 = new Dog(2);
		Dog d3 = new Dog(3);
		Dog d4 = new Dog(4);
		Dog d5 = new Dog(5);
		Dog d6 = new Dog(6);
		Dog d7 = new Dog(7);

		// Test cullDogs()
		System.out.println("***Test cullDogs");
		List<Dog> dogs = new ArrayList<>(Arrays.asList(d1,d2,d3,d4,d5,d6,d7));
		System.out.println("Original Dogs List");
		System.out.println(dogs);

		List<Dog> culledDogs = cullDogs(dogs,5);

		System.out.println("\nNew Dogs List");
		System.out.println(dogs);
		System.out.println("\nCulled Dogs List");
		System.out.println(culledDogs);
	}

	public static List<Dog> cullDogs(List<Dog> dogs, int maxAge) {
		List<Dog> culledDogs = new ArrayList<>();
		Iterator<Dog> iter = dogs.iterator();
		while(iter.hasNext()) {
			Dog d = iter.next();
			if(d.getAge()>maxAge) {
				iter.remove();
				culledDogs.add(d);
			}
		}
		return culledDogs;
	}
}
