package exercise_get_domains_alphabetic;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashSet;
import java.util.List;
import java.util.Set;
import java.util.TreeSet;

public class GetDomainsAlphabetic {

	public static void main(String[] args) {
		// 2
		String emails = "earl@inorbit.com,bip@run.com,arf@run.edu,cam@inorbit.com,dg@gmail.com,repo@ant.edu";
		List<String> domains = getDomainsAlphabetic(emails);
		System.out.println(domains);
//		TreeSet<String> alphaWords2 = getWordsAlphabetic2(sentence);
//		System.out.println(alphaWords2);
	}

	public static List<String> getDomainsAlphabetic(String emails) {
		TreeSet<String> tsEmails = new TreeSet<>();
		String[] emailsAry = emails.split(",");
		for(String email : emailsAry) {
			int loc = email.indexOf('@');
			String domain = email.substring(loc+1);
			tsEmails.add(domain);
		}
		return new ArrayList<String>(tsEmails);
	}

	public static TreeSet<String> getWordsAlphabetic2(String words) {
		TreeSet<String> alphaWords = new TreeSet<>(Arrays.asList(words.split(",")));
		return alphaWords;
	}

}
