package exercise_names;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.Set;

public class SeperateLongNames {

	public static void main(String[] args) {
		// 1
		HashSet<String> names = new HashSet<>(Arrays.asList("fred", "catherine", "gordon", "fiona", "darren", "pete"));
		Set<String> longNames = separateLongNames(names, 5);
		System.out.println("short names:" + names);
		System.out.println("long names:" + longNames);
	}

	public static Set<String> separateLongNames(Set<String> names, int len) {
		Set<String> longNames = new HashSet<>();
		Iterator<String> iter = names.iterator();
		while(iter.hasNext()) {
			String name = iter.next();
			if(name.length()>len) {
				iter.remove();
				longNames.add(name);
			}
		}
		return longNames;
	}
}
