package example_treeset_players;

import java.util.TreeSet;

public class PlayerTest {

	public static void main(String[] args) {
		treeSetWithComparable();
		treeSetWithComparator();
	}

	public static void treeSetWithComparable() {
		System.out.println("treeSetWithComparable()");
		
		TreeSet<Player> players = new TreeSet<>();
		players.add(new Player("zeke", 300));
		players.add(new Player("ben", 100));
		players.add(new Player("alan", 400));
		for(Player p : players) System.out.println(p);
		
	}

	public static void treeSetWithComparator() {
		System.out.println("\ntreeSetWithComparator");
		
		TreeSet<Player> players = new TreeSet<>(new PlayerScoreComparator());
		players.add(new Player("zeke", 300));
		players.add(new Player("ben", 100));
		players.add(new Player("alan", 400));
		for(Player p : players) System.out.println(p);

	}

}
