package exercise_blobs;

import java.util.Comparator;

public class BlobAgeVolumeComparator implements Comparator<Blob> {

	@Override
	public int compare(Blob b1, Blob b2) {
		int diffAge = b1.getAge()-b2.getAge();
		if(diffAge != 0) {
			return diffAge;
		}
		double diffVol = b1.getVolume()-b2.getVolume();
		if(diffVol<0) {
			return -1;
		}
		else if(diffVol>0) {
			return 1;
		}
		return 0;
	}
}
