package exercise_blobs;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;

public class BlobComparatorTest {

	public static void main(String[] args) {
		Blob r1 = new Blob(4,33.6);
		Blob r2 = new Blob(8,8.2);
		Blob r3 = new Blob(4,19.5);
		Blob r4 = new Blob(2,22.4);
		Blob r5 = new Blob(6,3.8);
		
		ArrayList<Blob> blobs;
		
		// Find smallest blob based on age
		blobs = new ArrayList<>(Arrays.asList(r1,r2,r3,r4,r5));
		System.out.print("Blobs: ");
		System.out.println(blobs);
		Blob b = Collections.min(blobs, new BlobAgeComparator());
		System.out.println("Smallest: " + b);

		// Sort blobs based on age, then volume, both ascending
		blobs = new ArrayList<>(Arrays.asList(r1,r2,r3,r4,r5));
		System.out.print("Blobs: ");
		System.out.println(blobs);
		Collections.sort(blobs, new BlobAgeVolumeComparator());
		System.out.print("Sorted: " + blobs);
	}

}
